
QGIS Application - Feature request #2752

Zoom to layer doesn't work with Query

2010-05-27 03:30 AM - dr -

Status: Closed

Priority: Low

Assignee: nobody -

Category: Vectors

Pull Request or Patch supplied: Resolution: fixed

Easy fix?: No Copied to github as #: 12812

Description

1. Open any layer;

2. Click on layer name in TOC and set Query;

3. Try to use Zoom to layer tool. At result we have zooming to full layer extent, not to Query extent.

Associated revisions

Revision b86f859c - 2010-05-28 11:58 PM - Jürgen Fischer

postgres provider update:

- lazy determine extent and invalidate extent on subst string change (fixes #2752 for postgres)

- use estimate extent when "use estimate metadata" is set (reverts r13499)

- remove rest of unused threading

git-svn-id: http://svn.osgeo.org/qgis/trunk/qgis@13584 c8812cc2-4d05-0410-92ff-de0c093fc19c

Revision ce769ad0 - 2010-05-28 11:58 PM - Jürgen Fischer

postgres provider update:

- lazy determine extent and invalidate extent on subst string change (fixes #2752 for postgres)

- use estimate extent when "use estimate metadata" is set (reverts r13499)

- remove rest of unused threading

git-svn-id: http://svn.osgeo.org/qgis/trunk@13584 c8812cc2-4d05-0410-92ff-de0c093fc19c

Revision 8985c517 - 2010-05-29 08:37 PM - Jürgen Fischer

ogr provider update: lazy determine extent (fixes #2752)

git-svn-id: http://svn.osgeo.org/qgis/trunk/qgis@13596 c8812cc2-4d05-0410-92ff-de0c093fc19c

Revision 745e0c3c - 2010-05-29 08:37 PM - Jürgen Fischer

ogr provider update: lazy determine extent (fixes #2752)

git-svn-id: http://svn.osgeo.org/qgis/trunk@13596 c8812cc2-4d05-0410-92ff-de0c093fc19c
History

#1 - 2010-05-29 11:40 AM - Jürgen Fischer

- Resolution set to fixed

- Status changed from Open to Closed

fixed in commit:745e0c3c (SVN r13597) for OGR and commit:ce769ad0 (SVN r13585) for postgres.  spatialite is unaffected.
